<!DOCTYPE html>
<html>
<head>
<style>

</style>
</head>
<body>
    
<!--her filtrelemede tekrar parola sormaması için kullanılan alan başlangıç

    //parola eklenmesi için görünmeyecek kısım tümsayfa id ile adlandırılmalı.
    
    
    
<style>
#tumsayfa {
    width: 80%;
    position: relative;
    margin: auto;
    margin-top: 6px;
    display:block;
}
#parola-kutusu {
        display:none;

}
</style>

her filtrelemede tekrar parola sormaması için kullanılan alan bitiş-->    
    
<div id="parola-kutusu" style="margin:auto; margin-top:5%; width:20%"><center><h1>Parola Girin:</h1></center><input onKeyUp="parola()" type="text" id="parola-alan"></div>


<script>
function parola() {
  var x = document.getElementById("parola-alan").value;
if (x == "321") {
    document.getElementById("tumsayfa").style.display = "block";
    document.getElementById("parola-kutusu").style.display = "none";

}
}
</script>   

</body>
</html>
